2009-03-18 03:47  rjongbloed

	* [r22213] version.h:
	  Update version number for beta v3.6.2

2009-03-18 22:01  rjongbloed

	* [r22216] plugins/video/MPEG4-ffmpeg/ReadMe.txt:
	  Removed reference to compatibility issues with old H.263 codec as
	  that is now deprecated, thanks Eugen Dedu

2009-03-18 22:51  rjongbloed

	* [r22220] ., src/codec/rfc2833.cxx:
	  Stopped transmission of CED/CNG continually retrying when there
	  is no payload type to use, should not even try and start as this
	  indicates that the remote did not negotiate the ability to
	  receive this signals.

2009-03-19 00:07  rjongbloed

	* [r22224] ., src/sip/sipcon.cxx:
	  A SIP 488 response may also indicate a codec mismatch, not just a
	  415 response.

2009-03-19 03:16  rjongbloed

	* [r22228] ., src/opal/call.cxx:
	  Fixed filtering of media formats so is done by both connections
	  in call.

2009-03-19 03:48  rjongbloed

	* [r22229] ., samples/faxopal/main.cxx, samples/faxopal/main.h:
	  Fixed issue with waiting for registration to complete in faxopal
	  before starting an outgoing call.
	  
	  Added command line argument to disable in band tone detection in
	  faxopal.

2009-03-19 04:12  rjongbloed

	* [r22230] include/t38/t38proto.h, src/t38/t38proto.cxx:
	  Back patched some changes from Sirius branch to help in detecting
	  end of fax call.

2009-03-23 03:39  rjongbloed

	* [r22247] ., src/opal/rtpconn.cxx:
	  Applied patch ID: 2686504
	  fix compilation when disabling statistics
	  thanks Mounir Lamouri

2009-03-23 05:54  rjongbloed

	* [r22251] src/sip/sdp.cxx:
	  Fixed order of b= line in SDP output, order is apparently
	  important! Thanks Yuri Valentini for the report.

2009-03-24 00:37  rjongbloed

	* [r22253] samples/ivropal/main.cxx, samples/ivropal/main.h:
	  Fixed ivropal sometimes making outgoing call before finished
	  registration.

2009-03-24 00:51  rjongbloed

	* [r22255] include/sip/sipep.h, src/sip/sipcon.cxx,
	  src/sip/sipep.cxx, src/sip/sippdu.cxx:
	  Fix issue with having multiple registrations with the same SIP
	  registrar. This assures the "Contact" field is for the correct
	  registration, previously always ended up being the first
	  registration.

2009-03-24 01:26  rjongbloed

	* [r22258] src/sip/sipcon.cxx:
	  Fixed problem with not waiting till ACK arrives before destroying
	  connection object when sending a terminating response (300 and
	  up), some implementations get offended if the ACK gets a
	  transaction does not exist error. Thanks hongsion for the report.

2009-03-24 02:19  rjongbloed

	* [r22260] src/sip/sippdu.cxx:
	  Fixed bug where if a non-INVITE transaction gets a 1xx response,
	  but then the 2xx (or above) response is lost, the command is not
	  retransmitted. Thanks Dan Julius for the report.

2009-03-24 04:36  rjongbloed

	* [r22265] ., plugins/video/common/dyna.cxx:
	  Added fix for video plug in shared library loading, current code
	  would not look anywhere but default path. Thanks various people
	  at http://bugzilla.gnome.org/show_bug.cgi?id=573882#c24

2009-03-25 00:58  rjongbloed

	* [r22272] ., src/rtp/jitter.cxx:
	  Remove hole in locking logic

2009-03-25 09:53  rjongbloed

	* [r22285] ., plugins/audio/G722/Makefile.in:
	  Applied patch for compiling G722 plug in on SUN, thanks elaine

2009-03-25 22:55  rjongbloed

	* [r22291] src/sip/sipcon.cxx:
	  Fixed correct value for remote party address, this is not
	  supposed to include the scheme (sip:) as that is in the remote
	  party URL.

2009-03-26 00:36  rjongbloed

	* [r22296] plugins/video/H.264/Makefile.in,
	  plugins/video/H.264/gpl/Makefile.in:
	  Applied patch ID: 2712513 "NetBSD patches for opal", supplied by
	  Jared
	  D. McNeill

2009-03-26 03:40  rjongbloed

	* [r22300] include/opal/connection.h, samples/openphone/main.cxx,
	  samples/sipim/main.cxx, src/h323/h323.cxx, src/h323/h323ep.cxx,
	  src/h323/h323pdu.cxx, src/opal/connection.cxx, src/opal/ivr.cxx,
	  src/opal/opal_c.cxx, src/sip/sipcon.cxx, src/sip/sipep.cxx,
	  src/t38/t38proto.cxx:
	  Fixed INVITE sent in response to a REFER command using a
	  different local user name to the original call.
	  
	  In process moved all "standard" string option names to #defines
	  in connection.h so can be documented.

2009-03-27 05:08  rjongbloed

	* [r22306] Makefile.in:
	  Fixed bug ID: 2715354 "opal try to install plugins even if they
	  have
	  been disabled", patch supplied by Mounir Lamouri

2009-03-27 05:39  rjongbloed

	* [r22308] configure, configure.ac, opal.m4:
	  Added abort of configure if compulsory options in PTLib are
	  disabled.

2009-03-27 23:28  rjongbloed

	* [r22313] plugins/audio/G726/Makefile.in,
	  plugins/audio/GSM0610/Makefile.in,
	  plugins/audio/IMA_ADPCM/Makefile.in,
	  plugins/audio/LPC_10/Makefile.in, plugins/audio/SBC/Makefile.in,
	  plugins/audio/Speex/Makefile.in, plugins/audio/celt/Makefile.in,
	  plugins/audio/gsm-amr/Makefile.in,
	  plugins/audio/iLBC/Makefile.in:
	  Fixed bug ID: 2027650 "$(CFLAGS) include path overrides package
	  include
	  path", reported by Stefano Sabatini

2009-03-29 23:54  rjongbloed

	* [r22319] configure, configure.ac:
	  Fixed bug ID: 2721404 "opal depends on ptlib stun option",
	  reported by
	  Mounir Lamouri

2009-03-30 11:04  rjongbloed

	* [r22330] ., src/sip/sipep.cxx:
	  Fixed search for connection matching replaces header dialog info,
	  broken during changes to make calls back into the same stack.

2009-03-31 00:40  rjongbloed

	* [r22336] configure, configure.ac:
	  Fixed bug ID: 2721707 "h323 support needs ptlib to be compiled
	  with asn
	  support", reported by Mounir Lamouri

2009-03-31 04:42  rjongbloed

	* [r22342] ., src/opal/opal_c.cxx:
	  Fixed from/to fields reversed in call dialog identifier
	  information, needed for a INVITE with replaces header.

2009-03-31 07:03  csoutheren

	* [r22347] include/sip/sdp.h, src/sip/sdp.cxx:
	  Fix compiler warning

2009-03-31 07:06  csoutheren

	* [r22348] src/codec/opalpluginmgr.cxx:
	  Backport logging changes and video I-frame detection changes from
	  head

2009-03-31 07:10  csoutheren

	* [r22351] include/codec/ratectl.h, include/codec/vidcodec.h,
	  include/opal/mediafmt.h, include/opal/patch.h,
	  src/codec/ratectl.cxx, src/codec/vidcodec.cxx,
	  src/opal/mediafmt.cxx, src/opal/patch.cxx:
	  Backport media format matching option additions
	  Backport advanced rate controller support
	  Backport fix for popping frames when rate controller
	  skips input frames

2009-03-31 07:14  rjongbloed

	* [r22352] ., src/rtp/jitter.cxx:
	  Fixed missing re-lock of mutex on jitter buffer shut down, so
	  when unlocked a little bit later it does not assert.

2009-03-31 23:16  rjongbloed

	* [r22353] src/opal/pcss.cxx:
	  Fixed support for WAV files etc in PCSS endpoint.

2009-03-31 23:21  rjongbloed

	* [r22355] samples/codectest/main.cxx, samples/codectest/main.h:
	  Backported codectest application enhancements from trunk which
	  became necessary due to backport of video rate controller
	  changes.

2009-04-01 01:11  rjongbloed

	* [r22358] include/sip/sipep.h, src/sip/sipcon.cxx,
	  src/sip/sipep.cxx:
	  Another fix for replaces header in INVITE.

2009-04-01 07:06  rjongbloed

	* [r22361] ., include/h323/h323ep.h, src/h323/h323ep.cxx:
	  Added "*" for gatekeeper address to indicate should do gatekeeper
	  discovery (IP broadcast) in UseGatekeeper().

2009-04-02 05:13  rjongbloed

	* [r22364] ., src/sip/sipep.cxx:
	  Fixed stupid typo causing crash.

2009-04-06 03:04  rjongbloed

	* [r22366] ., include/opal.h,
	  src/java/OpalLineAppearanceStates.java, src/java/exampleJNI.java,
	  src/java/java_swig_wrapper.c:
	  Changed Line Appearance status code enum name to better reflect
	  reality, line does not necessarily become "idle" when a call ends
	  as an individual "line" name may be a trunk and have multiple
	  calls on it. So changed OpalLineIdle to be OpalLineTerminated.

2009-04-07 04:32  rjongbloed

	* [r22390] ., plugins/audio/G722/Makefile.in,
	  plugins/audio/G722/g722codec.c:
	  Applied patch ID: 2728003 "Win32 g722codec.c can not be
	  compiled", thanks Michael Rickmann

2009-04-07 06:09  rjongbloed

	* [r22398] ., src/sip/sipcon.cxx:
	  If SIP answer to our offer contains only media formats we never
	  offered then abort the call as this is SO not to specification!

2009-04-07 23:52  rjongbloed

	* [r22405] ., src/opal/mediastrm.cxx:
	  Close raw media stream (in particular sound card) before waiting
	  for thread to exit. It is possible under some weird circumstances
	  for the channel Read() function to block indefinitely on a sound
	  card, then the patch thread does not exit causing an assert. So,
	  we close it before waiting instead of relying on the sound card
	  read never blocking for long.

2009-04-09 05:02  rjongbloed

	* [r22416] ., src/opal/connection.cxx:
	  Restored old code that was changed (accidentally?) in an
	  apparently unrelated patch #21934.

2009-04-14 03:00  rjongbloed

	* [r22421] ., src/sip/handlers.cxx:
	  Fixed possible path through unsubscribe/unregister code that
	  could lead to a NULL pointer being used. Not sure how it can
	  happen, but got bug reports it is happening.

2009-04-14 03:19  rjongbloed

	* [r22423] ., src/opal/patch.cxx:
	  Added mutex to media patch "push" mode.

2009-04-14 09:24  rjongbloed

	* [r22426] ., src/opal/transports.cxx:
	  Fix problem with case significant tarnsport prefix in Contact tag

2009-04-15 02:34  rjongbloed

	* [r22428] ., src/sip/handlers.cxx:
	  Fixed issue in SIP registering, if both a full AOR and a
	  registrar host name is provided then we would normally disable
	  all registrar searches (e.g. SRV record lookup) and just use the
	  host name specified.
	  
	  However, a common thing for people to do is to make the registrar
	  address identical to the registrar domain in the AOR, so we had a
	  special case that this would NOT disable registrar discovery, but
	  this bit was broken, now fixed.

2009-04-16 06:41  csoutheren

	* [r22435] plugins/video/H.263-1998/h263-1998.cxx:
	  Change default TSTO to give better quality, and add extra logging

2009-04-16 09:08  rjongbloed

	* [r22436] src/sip/sipep.cxx:
	  Fixed issue with SIP call hairpinning back into the same stack,
	  the ACK is sent to the wrong internal connection, as the from/to
	  fields are around the other way every other command. ACK truly is
	  special.

2009-04-21 05:26  rjongbloed

	* [r22447] src/opal/mediastrm.cxx:
	  Fixed possibility of closing a channel twice, should be OK, but
	  you can;t c=guarantee all writers of channels do it, so easier
	  just to fix it here.

2009-04-21 06:39  rjongbloed

	* [r22449] src/opal/connection.cxx, src/sip/sipcon.cxx:
	  Fixed intermittent problem with losing an audio channel when
	  using INVITE with replace, e.g. attended transfer.

2009-04-24 07:33  rjongbloed

	* [r22462] ., include/rtp/rtp.h, src/rtp/rtp.cxx:
	  Fixed being able to switch off jitter buffer while still a thread
	  reading from it, extra mutex needed.
	  
	  make sure jitter buffer (and it's thread) are stopped when you
	  close the read side of the RTp session.

2009-04-24 08:25  rjongbloed

	* [r22463] ., include/rtp/rtp.h, src/rtp/rtp.cxx:
	  Reversed out previous check in for jitter buffer mutex as causes
	  deadlock under load, can't win!

2009-04-24 18:24  csoutheren

	* [r22465] src/opal/call.cxx:
	  Change locking for OpenSourceMediaStreams to be read/write

2009-04-25 05:35  rjongbloed

	* [r22468] ., include/opal/mediafmt.h:
	  Fixed a bunch of != comparisons for OpalMediaFormat

2009-04-30 05:23  rjongbloed

	* [r22497] src/sip/sipcon.cxx, src/sip/sipep.cxx:
	  Fixed bug with "hairpin" SIP calls, subsequent commands to INVITE
	  are not routed to the correct connection instance.

2009-05-01 14:30  csoutheren

	* [r22503] plugins/video/H.263-1998/h263-1998.cxx,
	  plugins/video/H.263-1998/rfc2190.cxx:
	  Add extra bulletproofing for receiving bad packets

2009-05-02 12:26  dsandras

	* [r22506] configure, configure.ac, plugins/plugin-config.h.in:
	  H.224 should not be enabled when H.323 is disabled.

2009-05-03 13:39  csoutheren

	* [r22508] plugins/video/H.263-1998/h263-1998.cxx:
	  Fix bug introduced in previous checkin

2009-05-05 05:02  rjongbloed

	* [r22511] include/rtp/rtp.h, include/t38/t38proto.h,
	  plugins/fax/fax_spandsp/spandsp_util,
	  plugins/fax/fax_spandsp/spandsp_util/README,
	  plugins/fax/fax_spandsp/spandsp_util/spandsp_if.cpp,
	  plugins/fax/fax_spandsp/spandsp_util/spandsp_if.h,
	  plugins/fax/fax_spandsp/spandsp_util/spandsp_util.cpp,
	  plugins/fax/fax_spandsp/spandsp_util/spandsp_util.sln,
	  plugins/fax/fax_spandsp/spandsp_util/spandsp_util.vcproj,
	  plugins/fax/fax_spandsp/spandsp_util/spandsp_util_2008.sln,
	  plugins/fax/fax_spandsp/spandsp_util/spandsp_util_2008.vcproj,
	  samples/faxopal/main.cxx, samples/faxopal/main.h,
	  samples/openphone/main.cxx, samples/openphone/openphone.wxg,
	  samples/openphone/openphone.xrc, src/rtp/rtp.cxx,
	  src/sip/sipcon.cxx, src/t38/t38proto.cxx:
	  Added fax statistics from SpanDSP, in process fixes major failing
	  that the system gave no indication of if the fax was successfully
	  and completely sent to the remote.
	  
	  Also updated spandsp_util to be built against spandsp-0.0.6pre10

2009-05-05 05:25  rjongbloed

	* [r22512] plugins/fax/fax_spandsp/spandsp_util,
	  plugins/fax/fax_spandsp/spandsp_util/README:
	  Fixed output path in readme file.

2009-05-05 05:41  rjongbloed

	* [r22513] plugins/fax/fax_spandsp/spandsp_util/spandsp_if.cpp:
	  Fixed flush of debug output from spandsp library.

2009-05-05 05:57  rjongbloed

	* [r22514] src/t38/t38proto.cxx:
	  Fixed race condition where if remote disconnects really quickly
	  after fax is sent, the local side kills sub-process and we don't
	  get the final statistics.
	  
	  Also changed verbose logging from spandsp_util to only be enabled
	  when have level 5 tracing.

2009-05-06 00:06  rjongbloed

	* [r22517] include/opal/mediastrm.h, include/opal/patch.h,
	  include/t38/t38proto.h,
	  plugins/fax/fax_spandsp/spandsp_util/spandsp_if.cpp,
	  samples/openphone/main.cxx, samples/openphone/main.h,
	  src/opal/mediastrm.cxx, src/opal/patch.cxx, src/t38/t38proto.cxx:
	  Fixed display of progress fax statistics so can get page count
	  received/sent so far.

2009-05-06 05:04  rjongbloed

	* [r22519] src/sip/handlers.cxx:
	  Added std:: to map<> calls for Solaris build compatibility,
	  thanks Bruce McAlister.

2009-05-06 06:11  rjongbloed

	* [r22520] include/opal/patch.h, src/opal/patch.cxx:
	  Fixed video statistics broken in previous check in.

2009-05-06 06:31  rjongbloed

	* [r22521] include/codec/opalplugin.h, include/opal/mediafmt.h,
	  include/sip/sdp.h, src/opal/mediafmt.cxx, src/sip/sdp.cxx:
	  Fixed SIP bandwidth (RFC3890 TIAS) support.

2009-05-06 08:19  csoutheren

	* [r22526] plugins/video/H.263-1998/h263-1998.cxx:
	  Make sure Max Bit Rate is not altered

2009-05-06 08:58  rjongbloed

	* [r22527] include/opal/mediafmt.h, src/h323/h323caps.cxx,
	  src/opal/mediafmt.cxx, src/sip/sdp.cxx:
	  Added media format option indicating the protocol (e.g. "H.323"
	  or "SIP") the media format is being used in. This can be a "get
	  out of gaol" card for various compatibility issues.

2009-05-06 10:41  csoutheren

	* [r22529] plugins/video/H.263-1998/h263-1998.cxx,
	  plugins/video/H.263-1998/h263-1998.h:
	  Use dynamically allocated frame buffer instead of enormous
	  statically sized array

2009-05-06 13:12  csoutheren

	* [r22531] include/opal/rtpconn.h:
	  Don't stop a call from clearing due to lack of media just because
	  a session has not received any packets

2009-05-06 13:13  csoutheren

	* [r22532] src/codec/opalpluginmgr.cxx:
	  Fix rare memory leak and add extra checking

2009-05-07 00:29  rjongbloed

	* [r22536] src/codec/opalpluginmgr.cxx:
	  Fixed MSVC warning

2009-05-07 03:43  rjongbloed

	* [r22538] include/sip/sdp.h, src/sip/sdp.cxx:
	  Added ability to set SDP bandwidth parameters from media format
	  options.

2009-05-07 08:56  csoutheren

	* [r22553] ., include/opal.h, include/opal/mediastrm.h,
	  include/rtp/jitter.h, include/rtp/rtp.h, include/sip/sipep.h,
	  plugins/video/H.263-1998/rfc2190.cxx,
	  plugins/video/H.263-1998/rfc2190.h,
	  samples/openphone/unknown16.ico, samples/openphone/unknown16.xpm,
	  src/opal/localep.cxx, src/opal/mediastrm.cxx,
	  src/opal/opal_c.cxx, src/opal/patch.cxx, src/rtp/rtp.cxx,
	  src/sip/sipcon.cxx, src/sip/sipep.cxx:
	  Bulk backport of patches from trunk including RTP SafePtr and
	  thread pooling

2009-05-07 09:02  rjongbloed

	* [r22556] ., src/opal/localep.cxx:
	  Fixed local EP auto-starting media under some circumstances (e.g.
	  H.323 slow start)

2009-05-07 10:05  csoutheren

	* [r22562] ., samples/openphone/unknown16.ico,
	  samples/openphone/unknown16.xpm, src/codec/opalpluginmgr.cxx:
	  Backport 22542 - set payload type for encoded video from plugins

2009-05-07 17:34  csoutheren

	* [r22563] src/opal/mediafmt.cxx:
	  Fixed adding/subtracting media formats from a list should break
	  references and
	  make list unique as adding to one instance changing a whole bunch
	  of others is
	  really confusing.

2009-05-11 12:29  csoutheren

	* [r22580] samples/codectest/main.cxx:
	  Backport of 22574 from head
	  Fix problem with duplicate S option

2009-05-12 00:59  rjongbloed

	* [r22581] src/java/OpalParamSetUpCall.java,
	  src/java/OpalStatusIncomingCall.java, src/java/exampleJNI.java,
	  src/java/java_swig_wrapper.c:
	  Added protocol ID to "C" API

2009-05-12 10:18  rjongbloed

	* [r22589] ., src/sip/sipcon.cxx, src/sip/sippdu.cxx:
	  Fixed issue with outgoing re-INVITE that gets a 401/407
	  authentication required error, the re-transmitted INVITE was not
	  a re-INVITE but another normal INVITE, so "hold" doesn't work.
	  
	  Fixed issue with incoming re-INVITE that has no SDp in the
	  INVITE, if the eventual ACK has the same streams but only changed
	  the IP address/port for RTP, then we did not change our RTP send
	  addresss/port.
	  
	  Added more logging for determining Product Info from
	  User-Agent/Server mime field.

2009-05-12 13:50  rjongbloed

	* [r22593] src/win32/opal_2008.dtf, src/win32/opald_2008.dtf,
	  src/win32/opaln_2008.dtf:
	  UUpdate symbols

2009-05-12 23:08  rjongbloed

	* [r22594] src/win32/opal_2005.dtf, src/win32/opal_2005_wm.dtf,
	  src/win32/opal_2005_wm6.dtf, src/win32/opald_2005.dtf,
	  src/win32/opald_2005_wm.dtf, src/win32/opald_2005_wm6.dtf,
	  src/win32/opaln_2005.dtf, src/win32/opaln_2005_wm.dtf,
	  src/win32/opaln_2005_wm6.dtf:
	  

2009-05-13 00:03  rjongbloed

	* [r22595] samples/openphone/OpenPhoneInstaller_2005.vdproj,
	  samples/openphone/OpenPhone_2005.sln:
	  Removed deprecated ffmpeg H.263 code3c plug in.

2009-05-13 02:27  rjongbloed

	* [r22596] include/t38/h323t38.h, samples/openphone/main.cxx,
	  samples/openphone/main.h, src/h323/h323caps.cxx,
	  src/t38/h323t38.cxx:
	  Fixed inclusion of T.38 fax capability in H.323, got lost
	  somewhere along the way.

2009-05-13 04:47  rjongbloed

	* [r22599] src/codec/opalpluginmgr.cxx:
	  Added sanity checking of video plug in decoder output.

2009-05-13 14:23  csoutheren

	* [r22604] plugins/video/H.263-1998/h263-1998.cxx,
	  plugins/video/H.263-1998/rfc2190.cxx,
	  plugins/video/H.263-1998/rfc2190.h:
	  Add numerous boundary checks
	  Add extra logging
	  Ensure use of aligned memory for ffmpeg
	  Discard out of order packets, mode A frames that don't begin
	  with a start code, and frames that don't begin with a start code

2009-05-13 14:24  csoutheren

	* [r22605] samples/codectest, samples/codectest/main.cxx,
	  samples/codectest/main.h:
	  Backport code from trunk - put mutex around console output.

2009-05-13 14:36  csoutheren

	* [r22607] src/opal/mediastrm.cxx:
	  Ensure destructors of OpalMediaStream descendants call
	  Close because the overrides won't work from the ancestor
	  destructor

2009-05-13 14:42  csoutheren

	* [r22608] src/sip/sipep.cxx:
	  Add #define to allow easy enable/disable of SIP thread pooling
	  Add log message to display active connections/transactions

2009-05-14 02:02  rjongbloed

	* [r22616] ., src/sip/sipep.cxx:
	  Reduced level of new trace log in SIP garbage collection. Too
	  noisy!

2009-05-14 03:59  csoutheren

	* [r22617] samples/codectest/main.cxx, samples/codectest/main.h:
	  Add option to drop n% of encoded packets

2009-05-15 00:20  rjongbloed

	* [r22619] ., src/rtp/rtp.cxx:
	  Added log message for when RTP expected sequence number is
	  changed automatically. Code added due to various remote system
	  bugs.

2009-05-15 01:08  rjongbloed

	* [r22620] src/h323/h323.cxx:
	  Fixed initial H.323 call set up honouring the auto-start
	  configuration for "don't offer". In particular the extraneous
	  attempt to start fax when it shouldn't.

2009-05-15 03:53  rjongbloed

	* [r22622] samples/openphone/main.cxx:
	  Fixed OpenPhone play button for ring WAV file.

2009-05-15 07:10  csoutheren

	* [r22624] plugins/video/H.263-1998/h263-1998.cxx:
	  Disable OBMC because it makes ffmpeg non-threadsafe

2009-05-18 05:39  csoutheren

	* [r22628] plugins/video/H.263-1998/h263-1998.cxx:
	  Remove use of posix_memalign, as it's not needed and not
	  supported in all environments

2009-05-18 06:12  rjongbloed

	* [r22630] include/opal/ivr.h, src/opal/ivr.cxx:
	  Cannot mix VXML and simplified commands. So now check once at the
	  start for a .vxml file URL, processing only that if so. If not
	  then assume all file URL's in the command string are playable
	  (typically WAV) files.

2009-05-19 03:19  rjongbloed

	* [r22640] include/h323/h323con.h, include/t38/h323t38.h,
	  samples/faxopal/main.cxx, src/h323/h323.cxx,
	  src/h323/h323neg.cxx, src/opal/mediastrm.cxx,
	  src/opal/rtpconn.cxx, src/t38/h323t38.cxx, src/t38/t38proto.cxx:
	  Fixed crash on ending fax, race condition on terminating SpanDSP
	  reading thread.
	  
	  Fixed faxopal displaying correct status at end of call.
	  
	  Fixed H.323 T.38 support requiring:
	  T.38 capability no longer uses custom H323Channel
	  Mode request badly broken, need to deal with having media stream
	  before logical channel
	  Internal/External session number handling interferes with fax
	  re-opening session ID 1
	  Need to close tx channels media stream immediately on sending
	  CLC, don;t wait for CLCAck
	  Not opening reverse T.38 channel

2009-05-19 04:14  rjongbloed

	* [r22647] src/codec/ratectl.cxx, src/opal/manager.cxx:
	  Fixed no trace warnings.

2009-05-19 05:23  rjongbloed

	* [r22649] src/win32/opal_2003.dtf, src/win32/opal_2005.dtf,
	  src/win32/opal_2005_wm.dtf, src/win32/opal_2005_wm6.dtf,
	  src/win32/opal_2008.dtf, src/win32/opald_2003.dtf,
	  src/win32/opald_2005.dtf, src/win32/opald_2005_wm.dtf,
	  src/win32/opald_2005_wm6.dtf, src/win32/opald_2008.dtf,
	  src/win32/opaln_2003.dtf, src/win32/opaln_2005.dtf,
	  src/win32/opaln_2005_wm.dtf, src/win32/opaln_2005_wm6.dtf,
	  src/win32/opaln_2008.dtf:
	  Update DLL symbols

2009-05-19 06:04  csoutheren

	* [r22652] plugins/configure.ac, plugins/plugin-config.h.in,
	  plugins/video/H.263-1998/h263-1998.cxx,
	  plugins/video/H.263-1998/h263-1998.h,
	  plugins/video/common/dyna.cxx:
	  Add check for posix_memalign and other misc stuff

2009-05-19 06:06  csoutheren

	* [r22653] plugins/video/H.263-1998/h263-1998.h,
	  plugins/video/common/dyna.h:
	  Fix for gcc 4.4.0

2009-05-19 06:06  csoutheren

	* [r22654] plugins/configure:
	  Update configure

2009-05-19 07:10  rjongbloed

	* [r22655] include/codec/ratectl.h, include/h224/h323h224.h,
	  include/im/sipim.h, include/opal/buildopts.h.in,
	  src/codec/ratectl.cxx, src/im/sipim.cxx:
	  Fixed compilation with video, h.323 or sip disabled.

2009-05-19 09:34  rjongbloed

	* [r22657] src/win32/opal_2005_wm.dtf, src/win32/opal_2005_wm6.dtf,
	  src/win32/opald_2005_wm.dtf, src/win32/opald_2005_wm6.dtf,
	  src/win32/opaln_2005_wm.dtf, src/win32/opaln_2005_wm6.dtf:
	  Update DLL symbols

